Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class Serialization.ClassResolvingObjectInputStream

    java.lang.Object
      java.io.InputStream
          java.io.ObjectInputStream
              org.apache.openjpa.util.Serialization.ClassResolvingObjectInputStream

All Implemented Interfaces:
  Closeable, DataInput, ObjectInput, ObjectStreamConstants

Direct Known Subclasses:
  Serialization.PersistentObjectInputStream

Enclosing class:
  Serialization

    public static class Serialization.ClassResolvingObjectInputStream

extends ObjectInputStream

Nested Class Summary

Nested classes/interfaces inherited from class java.io.ObjectInputStream
`ObjectInputStream.GetField`

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`Serialization.ClassResolvingObjectInputStream(InputStream delegate)`

Method Summary
`protected void` | `addContextClassLoaders(MultiClassLoader loader)`
`protected Class` | `resolveClass(ObjectStreamClass desc)`

Methods inherited from class java.io.ObjectInputStream
`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, skipBytes`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.ObjectInput
`read, skip`

Constructor Detail

### Serialization.ClassResolvingObjectInputStream

    public Serialization.ClassResolvingObjectInputStream(InputStream delegate)
                                                  throws IOException

Throws:
  `IOException`

Method Detail

### resolveClass

    protected Class resolveClass(ObjectStreamClass desc)
                          throws IOException,
                                 ClassNotFoundException

  Overrides:
    `resolveClass` in class `ObjectInputStream`
  Throws:
    `IOException`
    `ClassNotFoundException`

### addContextClassLoaders

    protected void addContextClassLoaders(MultiClassLoader loader)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.